Opened 6 years ago

Closed 6 years ago

Last modified 6 years ago

#14482 closed enhancement (fixed)

create the new development scripts/library

Reported by: ohanar Owned by: jason
Priority: major Milestone: sage-6.0
Component: misc Keywords: sd51
Cc: mderickx, robertwb, roed, jdemeyer, kini, saraedum, leif, SimonKing Merged in:
Authors: Robert Bradshaw, David Roe, Julian Rueth, R. Andrew Ohana, Martin Raum, Timo Kluck Reviewers: Volker Braun
Report Upstream: N/A Work issues:
Branch: u/vbraun/dev_scripts (Commits) Commit: 946b5b45788dd6b9f1e7ef534bdea7e535059fb6
Dependencies: #14480, #14557, #15222 Stopgaps:

Description (last modified by saraedum)

In order to switch to the new workflow, we need to create a set of development scripts for interfacing against git and trac. We use https://github.com/sagemath/sage-workflow/issues to keep track of issues.

Change History (167)

comment:1 Changed 6 years ago by leif

  • Cc leif added

comment:2 Changed 6 years ago by ohanar

  • Authors changed from Robert Bradshaw, David Roe, Julian Rueth to Robert Bradshaw, David Roe, Julian Rueth, R. Andrew Ohana
  • Dependencies changed from #13015 to #13015, #14557

comment:3 Changed 6 years ago by ohanar

  • Branch set to u/ohanar/dev_scripts

comment:4 Changed 6 years ago by ohanar

  • Dependencies changed from #13015, #14557 to #13015, #14557, #14480

comment:5 Changed 6 years ago by saraedum

  • Branch changed from u/ohanar/dev_scripts to u/saraedum/ticket/14482

comment:6 Changed 6 years ago by saraedum

  • Dependencies changed from #13015, #14557, #14480 to {}

comment:7 Changed 6 years ago by saraedum

comment:8 Changed 6 years ago by saraedum

  • Dependencies changed from {} to #13015, #14557, #14480

comment:9 Changed 6 years ago by tkluck

  • Branch changed from u/saraedum/ticket/14482 to u/tkluck/ticket/14482
  • Dependencies #13015, #14557, #14480 deleted

comment:10 Changed 6 years ago by tkluck

  • Dependencies set to #13015, #14557, #14480

The dependencies got lost through the ./sage --dev upload script. I'm putting them back.

comment:11 Changed 6 years ago by tkluck

  • Keywords sd51 added

comment:12 Changed 6 years ago by saraedum

  • Branch changed from u/tkluck/ticket/14482 to u/saraedum/ticket/14482

comment:13 Changed 6 years ago by tkluck

  • Dependencies changed from #13015, #14557, #14480 to #14557, #14480

Remove circular dependency.

comment:14 Changed 6 years ago by mraum

  • Branch changed from u/saraedum/ticket/14482 to u/mraum/ticket/14482

comment:15 Changed 6 years ago by saraedum

  • Branch changed from u/mraum/ticket/14482 to u/saraedum/ticket/14482
  • Dependencies changed from #14557, #14480 to #13015, #14557, #14480

comment:16 Changed 6 years ago by tkluck

  • Branch changed from u/saraedum/ticket/14482 to public/sage-git/ticket/14482

comment:17 Changed 6 years ago by mraum

  • Branch changed from public/sage-git/ticket/14482 to u/mraum/ticket/14482
  • Dependencies changed from #13015, #14557, #14480 to #13015, #14480, #14557

comment:18 Changed 6 years ago by mraum

  • Authors changed from Robert Bradshaw, David Roe, Julian Rueth, R. Andrew Ohana to Robert Bradshaw, David Roe, Julian Rueth, R. Andrew Ohana, Martin Raum

comment:19 Changed 6 years ago by mraum

  • Authors changed from Robert Bradshaw, David Roe, Julian Rueth, R. Andrew Ohana, Martin Raum to Robert Bradshaw, David Roe, Julian Rueth, R. Andrew Ohana, Martin Raum, Timo Kluck
  • Branch changed from u/mraum/ticket/14482 to public/sage-git/ticket/14482

comment:20 Changed 6 years ago by saraedum

  • Branch changed from public/sage-git/ticket/14482 to u/saraedum/ticket/14482

comment:21 Changed 6 years ago by saraedum

  • Created changed from 04/24/13 05:54:23 to 04/24/13 05:54:23
  • Description modified (diff)
  • Modified changed from 07/25/13 14:00:13 to 07/25/13 14:00:13

comment:22 Changed 6 years ago by saraedum

We can now add comments.

comment:23 Changed 6 years ago by tkluck

  • Branch changed from u/saraedum/ticket/14482 to u/tkluck/ticket/14482

comment:24 Changed 6 years ago by saraedum

I will spend the better part of this week trying to complete these scripts (i.e. mostly writing doctests). If anybody else wants to do substantial work on these scripts, it's probably best to contact me, so we don't work on the same issues.

comment:25 Changed 6 years ago by saraedum

  • Branch changed from u/tkluck/ticket/14482 to u/saraedum/ticket/14482

comment:26 Changed 6 years ago by saraedum

I did some work on doctesting and better reporting of exceptions. I will not be able to work on this for about a week but will try to finish this afterwards.

Last edited 6 years ago by saraedum (previous) (diff)

comment:27 follow-up: Changed 6 years ago by vbraun

There is a problem in the handling of untracked files. Git interprets "untracked" as untracked in cwd. In fact, just having been given --git-dir we can't possibly know where the working directory is. For example, consider the filesystem layout:

$ tree -a
.
├── a
│   ├── file_in_a
│   └── .git
│       ├── branches
│       [...] 
└── b
    └── file_in_b
$ cd b
$ git --git-dir=../a/.git ls-files --other
file_in_b

whereas you probably would have expected file_in_a.

comment:28 in reply to: ↑ 27 Changed 6 years ago by saraedum

Replying to vbraun: This should be fixed now in git_interface.untracked_files().

comment:29 Changed 6 years ago by saraedum

wget (when invoked by the dev scripts) complains that the Common Name for the SSL certificate on trac.sagemath.org refers to sagecell.sagemath.org. I don't know much about SSL but do we not have a certificate for trac.sagemath.org?

comment:30 Changed 6 years ago by vbraun

The scripts should use curl instead of wget, the latter is not available on OSX since Apple is prejudiced against the GPL.

The SSL problem is that we are trying to host two SSL virtual domains on the same IP, that is a no-no. I've posted to sage-devel about it at https://groups.google.com/d/msg/sage-devel/VRohw4DSNrk/TpjWGQ-Vtu8J

comment:31 follow-up: Changed 6 years ago by ohanar

If you are trying to download a file from within python you should probably use the retrieve method of urllib.FancyURLopener. See src/bin/sage-download-file for an example.

comment:32 follow-up: Changed 6 years ago by vbraun

Also, I'm not entirely happy with the git interface. Though I also think its good enough to use in the git scripts and its probably a bad idea to do any architectural changes at this point. For the record I've built on the current code at https://github.com/vbraun/SageUI/tree/release/src/sageui/model. Changes incude

  • Use proxy objects instead of having to import magic constants:
    In [3]: git.status()   # return stdout by default, the most desirable behaviour
    Out[3]: '# On branch dev_scripts\nnothing to commit, working directory clean\n'
    
    In [4]: git.exit_code.status()
    Out[4]: 0
    
    In [5]: git.silent.status()
    
    In [6]: git.echo.status()
    # On branch dev_scripts
    nothing to commit, working directory clean
    
  • Don't hardcode the Sage repo directory, this is probably going to be useful elsewhere
  • Use the GIT_DIR and GIT_WORK_TREE environment variables instead of --git-dir (though warning: there seems to be a bug in git status, it is not respecting GIT_WORK_TREE)
  • Split the git interface (handling the mechanics of interfacing with the git binary) from the logical repository handling (like the create_ticket method)
  • Put all the doctesting setup into a utility class instead of having lengthy sections creating Doctest* classes and sample repos.

comment:33 in reply to: ↑ 31 Changed 6 years ago by saraedum

Replying to ohanar:

If you are trying to download a file from within python you should probably use the retrieve method of urllib.FancyURLopener. See src/bin/sage-download-file for an example.

Ok. I changed it to use urllib.

comment:34 in reply to: ↑ 32 Changed 6 years ago by saraedum

Replying to vbraun:

  • Use proxy objects instead of having to import magic constants

Right, this is syntactically much nicer. I changed this in my branch.

  • Don't hardcode the Sage repo directory, this is probably going to be useful elsewhere

Where is the repo hardcoded?

  • Use the GIT_DIR and GIT_WORK_TREE environment variables instead of --git-dir (though warning: there seems to be a bug in git status, it is not respecting GIT_WORK_TREE)

Could you explain the benefit of GIT_DIR and GIT_WORK_TREE?

  • Split the git interface (handling the mechanics of interfacing with the git binary) from the logical repository handling (like the create_ticket method)

create_ticket is not part of the git interface anymore. Are there any other methods you want to move?

  • Put all the doctesting setup into a utility class instead of having lengthy sections creating Doctest* classes and sample repos.

Good point. I was not sure initially what the doctests would look like. Now it seems that there are only two cases (one user, two users). I'll put the usual setup into special functions.

comment:35 follow-ups: Changed 6 years ago by vbraun

  • Type changed from task to enhancement

Thanks, looks much better.

I would say anything that accesses the UI or Config ought to not be part of the low-level git interface. That should only know about the path to the repo and nothing else, so it can be used in the future for other git repos. But its not really urgent to fine-tune this right now.

Functionally, setting GIT_DIR and GIT_WORK_TREE is basically equivalent to setting --git-dir and always chdir-ing to the right directory. I just find the former better structured, you don't have to filter out arguments for the log etc. But again its not a big difference.

comment:36 in reply to: ↑ 35 Changed 6 years ago by saraedum

Replying to vbraun:

I would say anything that accesses the UI or Config ought to not be part of the low-level git interface. That should only know about the path to the repo and nothing else, so it can be used in the future for other git repos. But its not really urgent to fine-tune this right now.

Functionally, setting GIT_DIR and GIT_WORK_TREE is basically equivalent to setting --git-dir and always chdir-ing to the right directory. I just find the former better structured, you don't have to filter out arguments for the log etc. But again its not a big difference.

I agree with both points. It would be nice to change this some day. For the time being I would rather leave it the way it is, just to be able to focus on the missing bits in sagedev.py.

comment:37 in reply to: ↑ 35 Changed 6 years ago by ohanar

Replying to vbraun:

Functionally, setting GIT_DIR and GIT_WORK_TREE is basically equivalent to setting --git-dir and always chdir-ing to the right directory.

Not quite, setting GIT_WORK_TREE doesn't behave the same as chdir-ing to a given directory, it simply specifies what git should consider is the root of work tree -- it will still display relative paths to the current directory (for all commands, as far as I can tell) if the current directory is a within the specified work tree.

comment:38 Changed 6 years ago by saraedum

  • Description modified (diff)
  • Modified changed from 08/20/13 21:48:41 to 08/20/13 21:48:41
  • Status changed from new to needs_review

comment:39 Changed 6 years ago by saraedum

  • Commit set to 22d879a

comment:40 follow-up: Changed 6 years ago by vbraun

I have a DSA ssh key (~/.ssh/id_dsa and ~/.ssh/id_dsa.pub). I encountered two bugs:

  1. The dev scripts only check for a RSA key, which I don't have.
  2. Since it didn't find my key, the scripts generated a new one. But as (~/.ssh/id_rsa.pub and ~/.ssh/id_rsa.pub.pub), making the private key look like a public key that can be shared.

comment:41 in reply to: ↑ 40 Changed 6 years ago by saraedum

Thanks for trying things out. This should be fixed now.

Replying to vbraun:

I have a DSA ssh key (~/.ssh/id_dsa and ~/.ssh/id_dsa.pub). I encountered two bugs:

  1. The dev scripts only check for a RSA key, which I don't have.
  2. Since it didn't find my key, the scripts generated a new one. But as (~/.ssh/id_rsa.pub and ~/.ssh/id_rsa.pub.pub), making the private key look like a public key that can be shared.

comment:42 follow-up: Changed 6 years ago by vbraun

Thanks!

There is a minor annoyance left, I have already set up ssh keys yet the dev scripts insist on doing it again and prompt for username/password. We should first check if authetication to gitolite works, and only upload keys if it doesn't. I suggest the following test: Run

ssh -o "StrictHostKeyChecking yes" -o "PasswordAuthentication no" -o "PubkeyAuthentication yes" -p 2222 git@trac.sagemath.org help

If the exit code is 0, then the host key and ssh keys are already set up.

comment:43 in reply to: ↑ 42 Changed 6 years ago by saraedum

Replying to vbraun:

There is a minor annoyance left, I have already set up ssh keys yet the dev scripts insist on doing it again and prompt for username/password. We should first check if authetication to gitolite works, and only upload keys if it doesn't. I suggest the following test: Run

I now simply changed the scripts to only ask the user once. Your solution is much nicer but I just did something that is easy to implement. (Also, I'm not sure how portable the ssh call is, and I do not have a MAC to test.)

comment:44 Changed 6 years ago by saraedum

  • Status changed from needs_review to needs_work

The SavingDicts?' data is stored in DOT_SAGE. This is not a good idea because multiple copies of sage will write to the same data file. I guess these dicts need to go somewhere in the repository. Where should that be? local/?

comment:45 follow-up: Changed 6 years ago by tkluck

maybe .git is best. They contain data about branches, right? I would also expect to be able to rm -rf local for a full rebuild.

comment:46 in reply to: ↑ 45 ; follow-up: Changed 6 years ago by saraedum

Replying to tkluck:

maybe .git is best. They contain data about branches, right? I would also expect to be able to rm -rf local for a full rebuild.

You are right. Does git care if there are extra files in .git?

comment:47 in reply to: ↑ 46 Changed 6 years ago by saraedum

Replying to saraedum:

Replying to tkluck:

maybe .git is best. They contain data about branches, right? I would also expect to be able to rm -rf local for a full rebuild.

You are right. Does git care if there are extra files in .git?

No it does not. man git says:

Higher level SCMs may provide and manage additional information in the $GIT_DIR.

comment:48 Changed 6 years ago by saraedum

  • Dependencies #13015, #14480, #14557 deleted
  • Modified changed from 08/31/13 15:46:29 to 08/31/13 15:46:29

comment:49 Changed 6 years ago by saraedum

  • Dependencies set to #14480, #14557

comment:50 Changed 6 years ago by saraedum

  • Modified changed from 08/31/13 16:01:22 to 08/31/13 16:01:22
  • Status changed from needs_work to needs_review

comment:51 Changed 6 years ago by ohanar

  • Branch changed from u/saraedum/ticket/14482 to u/ohanar/dev_scripts

Does not merge cleanly with build_system again, although easy fix. (More I want to hijack the branch here to review #15133)

comment:52 Changed 6 years ago by git

  • Commit changed from 22d879a to 5adc4a4468c9fd953141695d88aff600c033ef05

Branch pushed to git repo; I updated commit sha1. Recent commits:

5adc4a4Store the data of the SavingDicts? of SageDev? in .git
957a415Small fix to legacy support for SavingDicts? in SageDev?
8b0d31eFixed a doctest in trac_interface.py
b8dccf1SavingDicts? for SageDev? are now stored in the working tree
c66bdfdfixed two problems in SageDev?.commit()

comment:53 Changed 6 years ago by git

  • Commit changed from 5adc4a4468c9fd953141695d88aff600c033ef05 to a9c8a918b7834ef18d126e90f8cca7bb299ee77a

Branch pushed to git repo; I updated commit sha1. Recent commits:

a9c8a91Merge branch 'build_system' into dev_scripts
5adc4a4Store the data of the SavingDicts? of SageDev? in .git
957a415Small fix to legacy support for SavingDicts? in SageDev?
8b0d31eFixed a doctest in trac_interface.py
b8dccf1SavingDicts? for SageDev? are now stored in the working tree

comment:54 Changed 6 years ago by saraedum

  • Branch changed from u/ohanar/dev_scripts to u/saraedum/ticket/14482
  • Modified changed from 08/31/13 22:38:54 to 08/31/13 22:38:54

comment:55 Changed 6 years ago by git

  • Commit changed from a9c8a918b7834ef18d126e90f8cca7bb299ee77a to 7b0a0419c2dd6cdea696ba77bfd80b57e2144995

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:7b0a041]Fall back to http if ssl is not available
[changeset:07dfcef]Be more verbose about whether a commit has been created or not in sagedev
[changeset:b8c78f2]Hide git debug messages per default in sagedev.

comment:56 Changed 6 years ago by git

  • Commit changed from 7b0a0419c2dd6cdea696ba77bfd80b57e2144995 to debc6edd9b79d7a1ae75f9be528cb894faf76db1

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:debc6ed]Added a doctest to sagedev which shows how to start afresh when working on a ticket.
[changeset:c68940a]Delete branch -> ticket association when abandon()ing a branch in sagedev.
[changeset:bc5ce5a]Moved much of the code of create_ticket() to switch_ticket()
[changeset:2167665]Make user interface for sagedev more tolerant.
[changeset:859987e]Forbid None, True, False as branch names

comment:57 Changed 6 years ago by git

  • Commit changed from debc6edd9b79d7a1ae75f9be528cb894faf76db1 to ed8ed9df8921f1458146a70f9dd18d7473f178e4

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:ed8ed9d]Fixed an infinite recursion in download_patch().
[changeset:0f30605]Fixed a doctest for download_patch()

comment:58 Changed 6 years ago by git

  • Commit changed from ed8ed9df8921f1458146a70f9dd18d7473f178e4 to 4275bbd6bb81fce027fde80176c6f77a63ded415

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:4275bbd]Fixed doctests if no user.name and user.email had been set in git
[changeset:e078628]Add a warning in upload() to not erase dependencies.
[changeset:51e2179]merge() fails when merging a ticket into itself

comment:59 Changed 6 years ago by git

  • Commit changed from 4275bbd6bb81fce027fde80176c6f77a63ded415 to 6b64c5462ca4a567333b6f10533d641366da75a5

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:6b64c54]switch_ticket()/create_ticket() works with an unclean working directory in some cases.

comment:60 Changed 6 years ago by git

  • Commit changed from 6b64c5462ca4a567333b6f10533d641366da75a5 to 8052e279524f522779fafc063eba3d10f36467d3

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:8052e27]Make sure we do not touch files outside of sage in the dev scripts.
[changeset:f43d853]Corrected the _src directory in the git interface

comment:61 Changed 6 years ago by roed

  • Branch changed from u/saraedum/ticket/14482 to u/roed/ticket/14482
  • Modified changed from 09/05/13 14:12:02 to 09/05/13 14:12:02

comment:62 Changed 6 years ago by saraedum

  • Branch changed from u/roed/ticket/14482 to u/saraedum/ticket/14482

comment:63 Changed 6 years ago by vbraun

    sage: alice.git.echo.log('--pretty=%s') 
    Merge branch 'u/bob/ticket/1' of /dev/shm/... into ticket/1 

most peopole don't have their temp dir on /dev/shm. Can you ellipsize some more?

comment:64 Changed 6 years ago by git

  • Commit changed from 8052e279524f522779fafc063eba3d10f36467d3 to 76b09f0cf84cee67bbe16b43a0381ff07f682b8b

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:76b09f0]Make download_patch and import_patch download and apply patches like the patchbot does.
[changeset:73410f3]Fixed two typos in docstrings/comments
[changeset:6061772]fixed a TracConnectionError?() call
[changeset:f95ece6]Fixed two optional: internet tests

comment:65 Changed 6 years ago by git

  • Commit changed from 76b09f0cf84cee67bbe16b43a0381ff07f682b8b to 167fe88b1787ffb676640bc0027bcf7de7b9b4d1

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:167fe88]Moved hg patch related methods to patch.py

comment:66 Changed 6 years ago by git

  • Commit changed from 167fe88b1787ffb676640bc0027bcf7de7b9b4d1 to f63d6142e190d7be46b445d353b8759f71d95825

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:f63d614]Removed a reference to /dev/shm/ from sagedev.py

comment:67 Changed 6 years ago by git

  • Commit changed from f63d6142e190d7be46b445d353b8759f71d95825 to a625996e376c1860be142b2f6358c41a6e8dde80

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:a625996]Fixed a typo in import_patch()

comment:68 Changed 6 years ago by git

  • Commit changed from a625996e376c1860be142b2f6358c41a6e8dde80 to 03cd3fd7b9f6b3100b8d35fbb5e2108d601bf699

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:03cd3fd]Fixed import_patch()
[changeset:9e3a961]Fixed a question in import_patch()
[changeset:0b04731]Fixed a typo in import_patch()

comment:69 Changed 6 years ago by git

  • Commit changed from 03cd3fd7b9f6b3100b8d35fbb5e2108d601bf699 to ae2fde5e3305aad476bac1b7b2afc974130a103a

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:ae2fde5]Fixed edit_ticket().

comment:70 Changed 6 years ago by git

  • Commit changed from ae2fde5e3305aad476bac1b7b2afc974130a103a to 51c04acc008e2c0fc668ee53d1b2ab0cedf2cb8d

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:51c04ac]Use --work-tree in git_interface.
[changeset:a36c492]Fixed an optional internet doctest in sagedev.
[changeset:4828a9a]Revert "Make sure we do not touch files outside of sage in the dev scripts."

comment:71 Changed 6 years ago by roed

  • Branch changed from u/saraedum/ticket/14482 to u/roed/ticket/14482
  • Modified changed from 09/05/13 19:07:37 to 09/05/13 19:07:37

comment:72 Changed 6 years ago by saraedum

  • Branch changed from u/roed/ticket/14482 to u/saraedum/ticket/14482

comment:73 Changed 6 years ago by git

  • Commit changed from 51c04acc008e2c0fc668ee53d1b2ab0cedf2cb8d to fa961277bd876ccdf96a84b135dde621be888fb5

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:fa96127]Delete dependencies when abandoning a ticket.
[changeset:736295c]Stashes were printed twice by unstash()

comment:74 Changed 6 years ago by git

  • Commit changed from fa961277bd876ccdf96a84b135dde621be888fb5 to e793b414db4461da62bf285e5e587541c7baea3c

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:e793b41]Implemented 'dependencies' in merge()
[changeset:9569608]Several trivial doctest fixes in sage dev scripts.

comment:75 Changed 6 years ago by git

  • Commit changed from e793b414db4461da62bf285e5e587541c7baea3c to 348e0a018bc953ec95619df798620f7540ea9870

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:348e0a0]"dependencies" is not a valid name for a branch since this is a special keyword for merge().

comment:76 Changed 6 years ago by roed

  • Branch changed from u/saraedum/ticket/14482 to u/roed/ticket/14482
  • Modified changed from 09/06/13 14:32:00 to 09/06/13 14:32:00

comment:77 Changed 6 years ago by git

  • Commit changed from 348e0a018bc953ec95619df798620f7540ea9870 to ad04f8d94a7cc2cbeb3eb3b0eec00bface9275ff

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:ad04f8d]Fixing some problems in unstash
[changeset:98c0f6c]Bugfixes to import_patch

comment:78 Changed 6 years ago by saraedum

  • Branch changed from u/roed/ticket/14482 to u/saraedum/ticket/14482
  • Modified changed from 09/06/13 23:49:00 to 09/06/13 23:49:00

comment:79 Changed 6 years ago by git

  • Commit changed from ad04f8d94a7cc2cbeb3eb3b0eec00bface9275ff to c2902bbf5d77a643095c628099937a3779763409

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:c2902bb]Improve diff() against 'dependencies'
[changeset:9e4a92c]Added _is_master_uptodate() to dev scripts

comment:80 Changed 6 years ago by git

  • Commit changed from c2902bbf5d77a643095c628099937a3779763409 to 37c477ae98241432489e2b86535c09c4137a0719

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:37c477a]Fixed a help message for upload().

comment:81 Changed 6 years ago by git

  • Commit changed from 37c477ae98241432489e2b86535c09c4137a0719 to bc1b7550dcb36e855a44b9a988688de93838a4e5

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:bc1b755]Improved local_tickets() to show the current branch and summary of the local tickets.

comment:82 Changed 6 years ago by git

  • Commit changed from bc1b7550dcb36e855a44b9a988688de93838a4e5 to 6a43499c38d3f1f4d143eea3757b069c3b04bedc

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:6a43499]Do not show summaries per default in local_tickets() because this might be very slow for some.
[changeset:6a38888]make vanilla() return to the master branch in the dev scripts
[changeset:88ba93b]Display param=True parameters correctly in help string for sagedev.

comment:83 Changed 6 years ago by git

  • Commit changed from 6a43499c38d3f1f4d143eea3757b069c3b04bedc to 665665c2fd7395f83b70d1677a8dc969078b6b64

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:665665c]dev scripts upload ssh key only in upload()

comment:84 Changed 6 years ago by git

  • Commit changed from 665665c2fd7395f83b70d1677a8dc969078b6b64 to 5979b1836f10f390135cfa2f3f6302bb89b57b70

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:5979b18]download_patch() added one level of tuple too many in a recursive call

comment:85 Changed 6 years ago by git

  • Commit changed from 5979b1836f10f390135cfa2f3f6302bb89b57b70 to bf35fac32f0fe249d03feead38b65b9ae1ae5c54

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:bf35fac]Minor change to diff() in dev scripts.

comment:86 Changed 6 years ago by git

  • Commit changed from bf35fac32f0fe249d03feead38b65b9ae1ae5c54 to 93f5b8fef22d9dae9d6646f93eefd06cf9026562

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:93f5b8f]Fixed a help string in create_ticket()

comment:87 Changed 6 years ago by git

  • Commit changed from 93f5b8fef22d9dae9d6646f93eefd06cf9026562 to fb05bb5ed9169d472f36f6fa98979e0fce03f0aa

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:fb05bb5]Speed up local_tickets() by caching trac data
[changeset:38d12cd]Use git://trac.sagemath.org/sage.git for unauthenticated access to the repository.

comment:88 Changed 6 years ago by vbraun

How difficult would it be to preserve the description part of the u/user/description branch name? That is, when checking out a branch from a ticket #12345 use the local name ticket/12345/description? I think it'll be a bit annoying that the dev script users bulldoze your carefully thought-out description.

If the description already starts with ticket/12345/... then that first bit would be skipped. So if you push back to trac, it would become u/user/ticket/12345/description. And if somebody checks that ticket out, it would again become the local branch ticket/12345/description.

comment:89 Changed 6 years ago by saraedum

  • Modified changed from 09/20/13 10:51:04 to 09/20/13 10:51:04

That's not hard to do. I guess I would like to prompt the user because personally I prefer the short names.

Would you mind creating an issue at the github page?

comment:90 Changed 6 years ago by vbraun

Do you want to spit in the original author's face and delete his description [Y/N]?

If you are using the dev scripts then you never get to see the actual branch name, so it shouldn't matter. If not then you should have tab-completion for git branches, making it into a non-issue as well.

In any case, we can easily add that later so its not important for the first release of the dev scripts.

comment:91 Changed 6 years ago by git

  • Commit changed from fb05bb5ed9169d472f36f6fa98979e0fce03f0aa to a82b16afee6b8a991e97eefa03e5e87203a962db

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:a82b16a]Fixed an error in push()
[changeset:84de259]Renamed commands in docstring in sagedev.py
[changeset:945e3cc]Made create_ticket() not switch to branch for the ticket automatically.
[changeset:cedbf5c]Renamed several commands in the dev scripts.
[changeset:003666a]Made the sage-dev script more robust.

comment:92 follow-up: Changed 6 years ago by vbraun

I'm pretty happy with the rename. Two things remain:

    reset-to-clean-working-directory
                        Drop any uncommitted changes in the working directory.

should be something like

    clean               Delete all uncommited changes.

And unstash is not a word, its akin to "unspend" not being the opposite of "spend". It should be removed (my favorite) or renamed to `stash apply' (preferably) or 'stash-apply' (if we really must).

comment:93 in reply to: ↑ 92 Changed 6 years ago by roed

Replying to vbraun:

I'm pretty happy with the rename. Two things remain:

    reset-to-clean-working-directory
                        Drop any uncommitted changes in the working directory.

should be something like

    clean               Delete all uncommited changes.

And unstash is not a word, its akin to "unspend" not being the opposite of "spend". It should be removed (my favorite) or renamed to `stash apply' (preferably) or 'stash-apply' (if we really must).

I'm happy with the clean rename, but I think unstash is better than either of the alternatives you've suggested, even if it's not a word.

comment:94 Changed 6 years ago by vbraun

I always though unstash was supposed to be stash drop until I read the docs, found that very confusing.

comment:95 Changed 6 years ago by git

  • Commit changed from a82b16afee6b8a991e97eefa03e5e87203a962db to 3a3fe00259e588c07098cc29afa47b8ad994b616

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:3a3fe00]renamed reset_to_clean_working_directory() to clean() in the dev scripts
[changeset:3153282]Fixed a help string in the dev scripts.

comment:96 Changed 6 years ago by vbraun

I just debugged Simon's problem, and the dev scripts trip over the German localization in various places. The dev scripts should always set LC_ALL=C or posix before launching external programs if the output is being parsed. See also the thread at https://groups.google.com/d/msg/sage-git/jlm0piUE8Pk/DsA6lkbmhIsJ

comment:97 Changed 6 years ago by SimonKing

  • Cc SimonKing added

comment:98 Changed 6 years ago by vbraun

  • Dependencies changed from #14480, #14557 to #14480, #14557, #15222

comment:99 follow-up: Changed 6 years ago by vbraun

I tried out the "stash" feature and it doesn't stash anything. It reimplements something that is similar but using branches instead of the git stash stack. So if this is the desired effect then we shouldn't call it stash, which also resolves the unstash naming question. Just call its save/restore or something like that.

Also, documentation build failures:

[dev      ] /home/vbraun/Code/sage/src/doc/en/reference/dev/index.rst:2: WARNING: Title underline too short.
[dev      ] Sage's Development Scripts
[dev      ] =========
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/git_interface.py:docstring of sage.dev.git_interface.GitInterface.local_branches:5: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev.merge:60: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:11: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:10: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:11: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:11: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev.push:25: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev.show_dependencies:35: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/trac_interface.py:docstring of sage.dev.trac_interface.TicketSyntaxError:5: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/trac_interface.py:docstring of sage.dev.trac_interface.TicketSyntaxError:7: ERROR: Unexpected indentation.

comment:100 in reply to: ↑ 99 Changed 6 years ago by saraedum

  • Work issues set to doc warning

Replying to vbraun:

I tried out the "stash" feature and it doesn't stash anything. It reimplements something that is similar but using branches instead of the git stash stack. So if this is the desired effect then we shouldn't call it stash, which also resolves the unstash naming question. Just call its save/restore or something like that.

It implements something that feels like stashing but internally it does not stash, correct. The reason for this is that the names of stashes change, i.e., the first stash is called something like @stash{0} but if you create another stash then it changes to @stash{1}. Feel free to change the current behaviour/naming if you are not happy with it.

Also, documentation build failures:

[dev      ] /home/vbraun/Code/sage/src/doc/en/reference/dev/index.rst:2: WARNING: Title underline too short.
[dev      ] Sage's Development Scripts
[dev      ] =========
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/git_interface.py:docstring of sage.dev.git_interface.GitInterface.local_branches:5: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev.merge:60: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:11: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:10: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:11: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev:3: WARNING: Bullet list ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev:11: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev.push:25: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/sagedev.py:docstring of sage.dev.sagedev.SageDev.show_dependencies:35: WARNING: Literal block expected; none found.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/trac_interface.py:docstring of sage.dev.trac_interface.TicketSyntaxError:5: WARNING: Block quote ends without a blank line; unexpected unindent.
[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/trac_interface.py:docstring of sage.dev.trac_interface.TicketSyntaxError:7: ERROR: Unexpected indentation.

Thanks. I forgot to build the docs. I'll fix these later.

comment:101 Changed 6 years ago by git

  • Commit changed from 3a3fe00259e588c07098cc29afa47b8ad994b616 to 0e56e5f3de1e16f0f95071b5826fa2043c837081

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:0e56e5f]Fixed doc warnings in the dev scripts.

comment:102 Changed 6 years ago by saraedum

I can't make any sense of this warning:

[dev      ] /home/vbraun/Code/sage/local/lib/python2.7/site-packages/sage/dev/trac_interface.py:docstring of sage.dev.trac_interface.TicketSyntaxError:5: WARNING: Block quote ends without a blank line; unexpected unindent.

Could someone else have a look at this?

comment:103 Changed 6 years ago by vbraun

All external programs ought to be called via sage-native-execute. Otherwise this is bound to happen (Fedora 19):

$ sage -dev create-ticket
nano: symbol lookup error: /lib64/libncursesw.so.5: undefined symbol: _nc_putchar
TicketSyntaxError: Editor returned non-zero exit value

comment:104 Changed 6 years ago by vbraun

  • Branch changed from u/saraedum/ticket/14482 to u/vbraun/dev_scripts
  • Work issues doc warning deleted

I fixed the doc build issues. Will try to find some time this week to go through the code.

comment:105 Changed 6 years ago by git

  • Commit changed from 0e56e5f3de1e16f0f95071b5826fa2043c837081 to 35d65d0c3624a639e5fb83254d8f6f0461ca6eaf

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:35d65d0]fix doctest errors in dev scripts

comment:106 Changed 6 years ago by git

  • Commit changed from 35d65d0c3624a639e5fb83254d8f6f0461ca6eaf to efa48271a75516ab4715bd11d1578b7d1e4c8e1e

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:efa4827]Use quotation mark for quotation instead of backticks, misc code cleanup.
[changeset:91f05f4]fix how external programs are called

comment:107 Changed 6 years ago by git

  • Commit changed from efa48271a75516ab4715bd11d1578b7d1e4c8e1e to c4a6bb499fd31b23dffa4f06a03c5e369ec7fb5f

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:c4a6bb4]turn the patch.py module into a proper mixin class

comment:108 Changed 6 years ago by git

  • Commit changed from c4a6bb499fd31b23dffa4f06a03c5e369ec7fb5f to 95f4b83e80de43ec303cbdd68991840edfcb3c31

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:95f4b83]reflow UI text, ansi color support

comment:109 Changed 6 years ago by git

  • Commit changed from 95f4b83e80de43ec303cbdd68991840edfcb3c31 to 2c6b1c8d9aaef04f623e422e1610cba31700ad85

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:2c6b1c8]simplified the "sage -dev clean" command ui
[changeset:59aa09a]removed the fake-stash-as-branches feature
[changeset:82169ab]code cleanup

comment:110 Changed 6 years ago by git

  • Commit changed from 2c6b1c8d9aaef04f623e422e1610cba31700ad85 to f06fb16b3b2d17494ce3f47c17287483f6131703

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:f06fb16]moving debug messages to UI.debug
[changeset:d5e58f7]more sphinx->ascii for the sage-dev command line help

comment:111 Changed 6 years ago by ohanar

  • Branch changed from u/vbraun/dev_scripts to u/ohanar/dev_scripts

comment:112 Changed 6 years ago by git

  • Commit changed from f06fb16b3b2d17494ce3f47c17287483f6131703 to ace1bce6d33175631e40caea9c8bb5792429bfbd

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:ace1bce]textwrap a single "paragraph" at a time
[changeset:e2345ca]make git.local_branches actually return branches sorted by commit time

comment:113 Changed 6 years ago by git

  • Commit changed from ace1bce6d33175631e40caea9c8bb5792429bfbd to b7048057031e1a7c31f5bef07d3c0db785cd6eab

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:b704805]fix a doctests

comment:114 Changed 6 years ago by git

  • Commit changed from b7048057031e1a7c31f5bef07d3c0db785cd6eab to 1333f35d316f711fc53e7c42bd85ab543870b08e

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:1333f35]small cleanup of sage-dev script

comment:115 Changed 6 years ago by git

  • Commit changed from 1333f35d316f711fc53e7c42bd85ab543870b08e to 41878a28316b294dd0e59c36a10e00492dd463e0

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:41878a2]use the SageHelpFormatter? for subparsers

comment:116 Changed 6 years ago by git

  • Commit changed from 41878a28316b294dd0e59c36a10e00492dd463e0 to 9bab11f7f6ddfca24ed5923cbc81a80a6f320638

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:9bab11f]fix fallback values for terminal dimensions
[changeset:e6f51c0]sage-dev: decrement terminal width by 2 like parent class

comment:117 Changed 6 years ago by git

  • Commit changed from 9bab11f7f6ddfca24ed5923cbc81a80a6f320638 to 5ddceb46aaedc293b999d1be7a72586da8afe6be

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:5ddceb4]some small fixes/cleanup to the pre-commit hook
[changeset:9ea5a2d]refactor CmdLineInterface?.info (which also makes info respect the log level again)

comment:118 Changed 6 years ago by git

  • Commit changed from 5ddceb46aaedc293b999d1be7a72586da8afe6be to b55e0e65cfae34423e4eaf3e5438c7def5f12cf4

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:b55e0e6]derp: really refactor CmdLineInterface?.info

comment:119 Changed 6 years ago by git

  • Commit changed from b55e0e65cfae34423e4eaf3e5438c7def5f12cf4 to 98758d8dd406bf3b2c46b7bfd7182bccd4dbdc74

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:98758d8]default log level should probably be NORMAL

comment:120 Changed 6 years ago by vbraun

I used INFO to log messages about how to proceed, this is one of the crucial features that make git usable:

$ git status
# On branch dev_scripts
# Your branch is ahead of 'trac/u/vbraun/dev_scripts' by 11 commits.
#   (use "git push" to publish your local commits)
#
# Untracked files:
#   (use "git add <file>..." to include in what will be committed)
#
#	test
nothing added to commit but untracked files present (use "git add" to track)

Everything with comment markers is what I call INFO. I spent a lot of time observing people trying to use the dev scripts last week and not being told about the next logical step is a huge obstacle.

There are lots of DEBUG messages (=stuff that protocols the execution flow like "operation completed successfully") that are mislabeled as INFO. If you don't want to see unless you are trying to debug the program then it should be DEBUG.

We can have an intermediate INFO < HELP < NORMAL level if somebody really has a use for non-debug informational messages but I think that would be overkill.

comment:121 Changed 6 years ago by vbraun

  • Branch changed from u/ohanar/dev_scripts to u/vbraun/dev_scripts
  • Modified changed from 10/01/13 11:06:00 to 10/01/13 11:06:00

comment:122 Changed 6 years ago by git

  • Commit changed from 98758d8dd406bf3b2c46b7bfd7182bccd4dbdc74 to e42d613680ad7a12864e925cd084f6cb5359ccec

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:e42d613]fix doctests outside of sagedev.py

comment:123 Changed 6 years ago by git

  • Commit changed from e42d613680ad7a12864e925cd084f6cb5359ccec to 40633733e1d7e503d71a7890ee276ed7543391a7

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:4063373]more info messages, simplified user interface message formatting

comment:124 Changed 6 years ago by git

  • Commit changed from 40633733e1d7e503d71a7890ee276ed7543391a7 to c9dcab2a0f0ad529ffeef4d0d2ffbdaa0c39c23a

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:c9dcab2]more informational messages
[changeset:fc653db]rename git.reset_to_clean_workspace_directory to git.clean_wrapper

comment:125 Changed 6 years ago by git

  • Commit changed from c9dcab2a0f0ad529ffeef4d0d2ffbdaa0c39c23a to 934857e9a0056f3750038b0d6206c005d9145202

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:934857e]more code cleanups, minor UI rephrasing
[changeset:b558576]renamed local-tickets -> tickets, prune-closed-tickets -> prune-tickets, misc fixes

comment:126 Changed 6 years ago by git

  • Commit changed from 934857e9a0056f3750038b0d6206c005d9145202 to 8d8aeb7e4dca8d5f1a894f202e6897f8818e175a

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:8d8aeb7]better display for SageDevValueError?

comment:127 Changed 6 years ago by git

  • Commit changed from 8d8aeb7e4dca8d5f1a894f202e6897f8818e175a to 39d7a1faf435ec8759807270fbb6a38496a20407

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:39d7a1f]fixed the optional - internet doctests
[changeset:11a8bf4]cleaning up temp file usage

comment:128 Changed 6 years ago by git

  • Commit changed from 39d7a1faf435ec8759807270fbb6a38496a20407 to e136966a06d9987c5fc9e6d5157dea47c1394334

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:e136966]clean up temp file usage (always use SAGE_TMP)

comment:129 Changed 6 years ago by git

  • Commit changed from e136966a06d9987c5fc9e6d5157dea47c1394334 to d2efc203f32249ecdce2e92cf95136bd50651aeb

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:d2efc20]ensure that ticket_cache does not use Sage integer and improve error handling

comment:130 Changed 6 years ago by git

  • Commit changed from d2efc203f32249ecdce2e92cf95136bd50651aeb to 5d164802f9eef4cf21fa2ecb351b74911286b8d3

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:5d16480]fix minor issue in the sage -dev help

comment:131 Changed 6 years ago by git

  • Commit changed from 5d164802f9eef4cf21fa2ecb351b74911286b8d3 to e439e1401ced5218380e07f2b3827b8460bba816

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:e439e14]Always intercept git stdout/stderr in the dev scripts

comment:132 Changed 6 years ago by vbraun

The last commit should fix the issue that Robert noted on https://groups.google.com/d/msg/sage-git/1V391vUBTH0/9qXjxD5u23UJ

comment:133 Changed 6 years ago by git

  • Commit changed from e439e1401ced5218380e07f2b3827b8460bba816 to 08a3802dc5e32fc36af0108811fac4f92ea0fbb3

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:08a3802]guide user to merge, remove gather

comment:134 Changed 6 years ago by git

  • Commit changed from 08a3802dc5e32fc36af0108811fac4f92ea0fbb3 to 45b0ecdb6715f1d11d1f42a54d4cf4621ea5eab7

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:45b0ecd]lazy import dev scripts

comment:135 Changed 6 years ago by ohanar

There is a non-trivial merge with this branch and 5.13.beta1 in src/bin/sage-fixdoctests (which I'm not familiar with). I've merge the latest beta into my build system branch, but not into master due to this conflict, please resolve.

comment:136 Changed 6 years ago by git

  • Commit changed from 45b0ecdb6715f1d11d1f42a54d4cf4621ea5eab7 to 9bd940cc6ab1f02c145a7dad42765ef19b5b0157

Branch pushed to git repo; I updated commit sha1. Last 10 new commits:

[changeset:9bd940c]resolve conflict with newest build_system
[changeset:ec4ed11][FIXUP] 5.13.beta1: update git specific files
[changeset:a23df3e]Merge branch 'upstream' into build_system
[changeset:b7dc123]Merge 'sage-5.13.beta1'
[changeset:8693e80]5.13.beta1
[changeset:755697a]5.13.beta1
[changeset:e3808e5]Trac #13726: Semimonomial transformation group
[changeset:d182ea9]Trac #15279: init of RootSystem? corrected
[changeset:f5adfd5]Solaris / ZFS fix
[changeset:d13cee2]Trac #15270: Do not give up if the upstream shared library build fails

comment:137 Changed 6 years ago by vbraun

I had made a quick&dirty fix to sage-fixdoctests since I needed it to fix the doctests... but in the meantime the proper fix from #10589 hit.

comment:138 Changed 6 years ago by vbraun

The dev scripts fail on a clean install:

$ ./sage -dev
Traceback (most recent call last):
  File "/home/vbraun/opt/sage-git/sage-5.13.beta1/src/bin/sage-dev", line 9, in <module>
    from sage.dev import dev as DEV
ImportError: cannot import name dev

I haven't noticed before because this is masked by a stale .pyc file if you have been following development for a while. Fix in the following commit.

comment:139 Changed 6 years ago by git

  • Commit changed from 9bd940cc6ab1f02c145a7dad42765ef19b5b0157 to 55ef28721dba78fa024ac2be4a3b7aebeef602e5

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:55ef287]fixed import statement for the commandline interface

comment:140 Changed 6 years ago by vbraun

  • Branch changed from u/vbraun/dev_scripts to u/ohanar/dev_scripts
  • Commit changed from 55ef28721dba78fa024ac2be4a3b7aebeef602e5 to 8380f43434486f57aff62b6865c1308afd62f948

New commits:

[changeset:8380f43]fixed missleading error message for trac authentication error

comment:141 Changed 6 years ago by git

  • Commit changed from 8380f43434486f57aff62b6865c1308afd62f948 to 3af4a08a8a5afec80310b1ff05e878b2ad9d23cc

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:3af4a08]remove , from my name

comment:142 Changed 6 years ago by git

  • Commit changed from 3af4a08a8a5afec80310b1ff05e878b2ad9d23cc to 9f448b8b122128510c0bc40c3b11aae03a2efa5b

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:9f448b8]don't abort ticket editing on nop push
[changeset:fdb6cdc]remove last reference to download command
[changeset:ccac24d]fix dev scripts in emacs shell

comment:143 Changed 6 years ago by git

  • Commit changed from 9f448b8b122128510c0bc40c3b11aae03a2efa5b to f8355340c2f3b7fa05895f251dd48a3e8cbbbe42

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:f835534]dumb down pull to fix it
[changeset:d197b94]Merge branch 'master' into dev_scripts

comment:144 Changed 6 years ago by git

  • Commit changed from f8355340c2f3b7fa05895f251dd48a3e8cbbbe42 to 78cf9f9aeeb4dde21126ee92b019f172035a9059

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:78cf9f9]remove unused garbage

comment:145 Changed 6 years ago by git

  • Commit changed from 78cf9f9aeeb4dde21126ee92b019f172035a9059 to 9e28043e5b671d85da6f7a503a88c8973359b344

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:9e28043]remove (now) bad uses of SageDev?.pull

comment:146 Changed 6 years ago by mderickx

  • Status changed from needs_review to needs_work

I have the impression that this ticket is still heavily under developement and hence should not have a "needs review" status.

comment:147 Changed 6 years ago by mderickx

  • Cc mderickx added

comment:148 Changed 6 years ago by git

  • Commit changed from 9e28043e5b671d85da6f7a503a88c8973359b344 to b5c6b093b6802ad53b40e612671bccd3ca08d5eb

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:b5c6b09]fix doctest errors in SageDev?.push

comment:149 Changed 6 years ago by git

  • Commit changed from b5c6b093b6802ad53b40e612671bccd3ca08d5eb to 9785409dfc799351cbabdd81202caae51d045427

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:9785409]SageDev?: remove branch keyword from pull

comment:150 Changed 6 years ago by git

  • Commit changed from 9785409dfc799351cbabdd81202caae51d045427 to 6207777262413732447576e5f87a1582c4b6638d

Branch pushed to git repo; I updated commit sha1. New commits:

[changeset:6207777]SageDev?: fix pull doctest

comment:151 Changed 6 years ago by git

  • Commit changed from 6207777262413732447576e5f87a1582c4b6638d to 3880a5a2f76f2b6b8c8371221342f9fbfa69c9cb

Branch pushed to git repo; I updated commit sha1. New commits:

3880a5apatch.py: deal with hg's silly copy commands

comment:152 Changed 6 years ago by git

  • Commit changed from 3880a5a2f76f2b6b8c8371221342f9fbfa69c9cb to 3a7e05bb4f700ff03bdf3305bb9c83eb320f8c9d

Branch pushed to git repo; I updated commit sha1. New commits:

comment:153 Changed 6 years ago by git

  • Commit changed from 3a7e05bb4f700ff03bdf3305bb9c83eb320f8c9d to ebb203cea4823328e5d9d949c4ecc617675590a1

Branch pushed to git repo; I updated commit sha1. New commits:

ebb203ctrac_interface: encode fields with utf-8 as well

comment:154 Changed 6 years ago by git

  • Commit changed from ebb203cea4823328e5d9d949c4ecc617675590a1 to f5f0ea439dc1e2422a7ae92067cd0e63d2420747

Branch pushed to git repo; I updated commit sha1. New commits:

f5f0ea4also remove untracked directories after an aborted import patch

comment:155 Changed 6 years ago by vbraun

  • Branch changed from u/ohanar/dev_scripts to u/vbraun/dev_scripts
  • Commit changed from f5f0ea439dc1e2422a7ae92067cd0e63d2420747 to 702d7af1b3a57861e191aedd68ae04ccd15f4f51

New commits:

702d7afdo not suggest force push

comment:156 Changed 6 years ago by vbraun

  • Reviewers set to Volker Braun
  • Status changed from needs_work to needs_review

I agree with everything that I haven't written myself here... Andrew, is there anything left that we need to fix?

comment:157 Changed 6 years ago by ohanar

Not that I know of.

comment:158 Changed 6 years ago by vbraun

I get doctest failures on fresh accounts (cached stuff in DOT_SAGE?) of the type

File "src/sage/dev/git_interface.py", line 118, in sage.dev.git_interface.GitProxy._run_git
Failed example:
    dev.git.status()
Expected:
    Traceback (most recent call last):
    ...
    AssertionError: working with the sage repository in a doctest
Got:
    <BLANKLINE>
    Traceback (most recent call last):
      File "/home/buildslave/slave/local_full/build/local/lib/python2.7/site-packages/sage/doctest/forker.py", line 480, in _run
        self.execute(example, compiled, test.globs)
      File "/home/buildslave/slave/local_full/build/local/lib/python2.7/site-packages/sage/doctest/forker.py", line 839, in execute
        exec compiled in globs
      File "<doctest sage.dev.git_interface.GitProxy._run_git[7]>", line 1, in <module>
        dev.git.status()
      File "lazy_import.pyx", line 312, in sage.misc.lazy_import.LazyImport.__getattr__ (sage/misc/lazy_import.c:2402)
      File "lazy_import.pyx", line 248, in sage.misc.lazy_import.LazyImport._get_object (sage/misc/lazy_import.c:1885)
      File "/home/buildslave/slave/local_full/build/local/lib/python2.7/site-packages/sage/dev/sagedev_wrapper.py", line 250, in <module>
        dev = SageDevWrapper(SageDev())
      File "/home/buildslave/slave/local_full/build/local/lib/python2.7/site-packages/sage/dev/sagedev.py", line 119, in __init__
        self.trac = TracInterface(self.config['trac'], self._UI)
      File "/home/buildslave/slave/local_full/build/local/lib/python2.7/site-packages/sage/dev/trac_interface.py", line 212, in __init__
        self.__ticket_cache = SavingDict(ticket_cache_file)
      File "/home/buildslave/slave/local_full/build/local/lib/python2.7/site-packages/sage/dev/saving_dict.py", line 116, in __init__
        self._write()
      File "/home/buildslave/slave/local_full/build/local/lib/python2.7/site-packages/sage/dev/saving_dict.py", line 236, in _write
        assert os.path.abspath(self._filename).startswith(SAGE_TMP), error
    AssertionError: write attempt to a saving_dict in a doctest

Doesn't happen in my own user account. Anybody knows whats up?

comment:159 Changed 6 years ago by vbraun

On skynet/mark (Sparc Solaris, Sun_SSH_1.1) you must specify the key type in ssh-keygen:

-bash-3.00$ ssh-keygen -q -f /tmp/foo -P ''
You must specify a key type (-t).
Usage: ssh-keygen [options]
Options:
  -b bits     Number of bits in the key to create.
  -c          Change comment in private and public key files.
  -e          Convert OpenSSH to IETF SECSH key file.
  -f filename Filename of the key file.
  -i          Convert IETF SECSH to OpenSSH key file.
  -l          Show fingerprint of key file.
  -p          Change passphrase of private key file.
  -q          Quiet.
  -y          Read private key file and print public key.
  -t type     Specify type of key to create.
  -B          Show bubblebabble digest of key file.
  -C comment  Provide new comment.
  -N phrase   Provide new passphrase.
  -P phrase   Provide old passphrase.

comment:160 Changed 6 years ago by git

  • Commit changed from 702d7af1b3a57861e191aedd68ae04ccd15f4f51 to 6a512d640cda8461e4ff2bca87c78f157c318752

Branch pushed to git repo; I updated commit sha1. New commits:

6a512d6Explicitly specify the key type in ssh-keygen (requried for Sun SSH)

comment:161 Changed 6 years ago by git

  • Commit changed from 6a512d640cda8461e4ff2bca87c78f157c318752 to 2941308b4a66d9374ee8308dfd022445da616a0f

Branch pushed to git repo; I updated commit sha1. New commits:

2941308Use a DoctestSageDevWrapper? for the global dev object during doctests

comment:162 Changed 6 years ago by git

  • Commit changed from 2941308b4a66d9374ee8308dfd022445da616a0f to 946b5b45788dd6b9f1e7ef534bdea7e535059fb6

Branch pushed to git repo; I updated commit sha1. New commits:

946b5b4fix the commandline sage -dev script

comment:163 Changed 6 years ago by tscrim

I am having trouble importing Hg patches. I added an issue to the Github page with the details.

EDIT - Also I don't like that when aborting patch imports that it deletes all untracked directories (in particular, documentation output). I'd prefer if we could only delete newly created directories.

Thanks for all your work on this.

Last edited 6 years ago by tscrim (previous) (diff)

comment:164 follow-up: Changed 6 years ago by vbraun

Which github page? In any case, our bug tracker is not on github. I'm sure there are a lot of small things that could be improved, but improvement requests should go into a separate ticket by now. Unless you think that the deleting of documentation output merits delaying the git transition.

comment:165 in reply to: ↑ 164 Changed 6 years ago by tscrim

Replying to vbraun:

Which github page? In any case, our bug tracker is not on github.

The issues forum in the ticket description: ​https://github.com/sagemath/sage-workflow/issues

I'm sure there are a lot of small things that could be improved, but improvement requests should go into a separate ticket by now. Unless you think that the deleting of documentation output merits delaying the git transition.

It's not worth the delay. It's an annoyance IMO, but not horribly so.

comment:166 Changed 6 years ago by vbraun

  • Status changed from needs_review to closed

comment:167 Changed 6 years ago by vbraun

  • Resolution set to fixed
Note: See TracTickets for help on using tickets.